# eric5.Snapshot.SnapshotTimer

Module implementing the snapshot timer widget.

### Global Attributes

None

### Classes

SnapshotTimer | Class implementing the snapshot timer widget.

### Functions

None

## SnapshotTimer

Class implementing the snapshot timer widget.

### Signals

timeout()
  emitted after the timer timed out

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

SnapshotTimer | Constructor
__bell | Private slot handling timer timeouts.
enterEvent | Protected method handling the mouse cursor entering the widget.
paintEvent | Protected method handling paint events.
start | Public method to start the timer.
stop | Public method to stop the timer.

### Static Methods

None

#### SnapshotTimer (Constructor)

SnapshotTimer()

Constructor

#### SnapshotTimer.__bell

__bell()

Private slot handling timer timeouts.

#### SnapshotTimer.enterEvent

enterEvent(evt)

Protected method handling the mouse cursor entering the widget.

evt
  enter event (QEvent)

#### SnapshotTimer.paintEvent

paintEvent(evt)

Protected method handling paint events.

evt
  paint event (QPaintEvent)

#### SnapshotTimer.start

start(seconds)

Public method to start the timer.

seconds
  timeout value (integer)

#### SnapshotTimer.stop

stop()

Public method to stop the timer.

Up